//---------------------------------------------------------------------------
#ifndef classSocketRecvH
#define classSocketRecvH
//---------------------------------------------------------------------------
#include <Classes.hpp>

#include "SharedCode.h"

typedef void __fastcall (__closure *THandleRecv)(char *pBuf, int iBytes);

//---------------------------------------------------------------------------
class thrSocketRecv : public TThread
{
private:

  bool bIsRunning_m;

  bool bPauseStatus_m;
  int iSocket_m;
  THandleRecv pRecv_m;

  char *pBuf_m;
  int iBufSize_m;

  void __fastcall SynchRecv();

protected:

  void __fastcall Execute();

public:

  __fastcall thrSocketRecv(bool CreateSuspended);
  void __fastcall Setup(int &iSocket, THandleRecv pCB)
  {
    iSocket_m = iSocket;
    pRecv_m   = pCB;
  }

  __property bool IsRunning = { read = bIsRunning_m };

  __property bool PauseStatus = { read = bPauseStatus_m, write = bPauseStatus_m };

};
//---------------------------------------------------------------------------
#endif
