//---------------------------------------------------------------------------
#ifndef frmHexToolH
#define frmHexToolH

//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>

#define CLOSE_HEX_TOOL            WM_USER + 1

//---------------------------------------------------------------------------
class TfrmHexConversionTool : public TForm
{
__published:	// IDE-managed Components
        TMemo *memoHex;
        TPanel *panButtons;
        TBitBtn *bbtnToHex;
        TBitBtn *bbtnFromHex;
        TBitBtn *bbtnClose;
        TPanel *panBinaryDisplay;
        TSplitter *Splitter1;
        void __fastcall bbtnCloseClick(TObject *Sender);
        void __fastcall bbtnToHexClick(TObject *Sender);
        void __fastcall bbtnFromHexClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall panBinaryDisplayResize(TObject *Sender);
private:	// User declarations

  HWND hConsole_m;

public:		// User declarations

  __fastcall TfrmHexConversionTool(TComponent* Owner);
  __fastcall ~TfrmHexConversionTool();
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmHexConversionTool *frmHexConversionTool;
//---------------------------------------------------------------------------
#endif
