//---------------------------------------------------------------------------
#include <winsock2.h>
#include <vcl.h>
#pragma hdrstop

#include "classSocketRecv.h"

#pragma package(smart_init)
//---------------------------------------------------------------------------

__fastcall thrSocketRecv::thrSocketRecv(bool CreateSuspended)
        : TThread(CreateSuspended)
{
  bIsRunning_m   = true;
  bPauseStatus_m = false;
}

//---------------------------------------------------------------------------
void __fastcall thrSocketRecv::Execute()
{
  try
  {
    fd_set perm_rfds;
    FD_ZERO(&perm_rfds);

    FD_SET(iSocket_m, &perm_rfds);

    while(Terminated == false && iSocket_m > 0)
    {
      if(bPauseStatus_m == false)
      {
        fd_set tmprfds;
        memcpy(&tmprfds,&perm_rfds,sizeof(fd_set));

        timeval tv;
        tv.tv_sec  = 1;
        tv.tv_usec = 0;
        int iRet = select(0, &tmprfds, NULL, NULL, &tv);
        if(iRet > 0)
        {
          char szBuf[5001]="";
          memset(szBuf,0,5001);
          int iBytes = recv(iSocket_m,szBuf,5000,0);
          if(iBytes > 0)
          {
            if(pRecv_m)
            {
              pBuf_m = &szBuf[0];
              iBufSize_m = iBytes;
              Synchronize(SynchRecv);
            }
          }
          else
          {
            pBuf_m = NULL;
            iBufSize_m = iBytes;
            Synchronize(SynchRecv);

            iSocket_m = -1;
          }
        }
      }
      else
      {
        Sleep(500);
      }
    }
  }
  __finally
  {
    bIsRunning_m = false;
  }
}

//---------------------------------------------------------------------------
void __fastcall thrSocketRecv::SynchRecv()
{
  pRecv_m(pBuf_m,iBufSize_m);
}

//---------------------------------------------------------------------------
