/***********************************************************************
 ws-util.h - Declarations for the Winsock utility functions module.
***********************************************************************/
#if !defined(WS_UTIL_H)
#define WS_UTIL_H

//#include "vsMemoryManagement.h"

// Uncomment one.
//#include <winsock.h>
#include <winsock2.h>

const char* WSAGetLastErrorMessage(const char* pcMessagePrefix, int nErrorID = 0);
bool ShutdownConnection(SOCKET sd,bool bReceiveLastPacket = false);
void SetupSocketMonitoring(int &iSocket);
bool CheckForSocketData(int &iSocket, fd_set *fdperm_rfds = NULL, struct timeval *pTimeValue = NULL);
int ListenForSocketConnection(int iPort);
int AcceptClientConnection(int iSocket, sockaddr_in *pSocketAddress = NULL);
int ConnectToHost(char *pHost, int iPort, bool bReturnErrorCode = true);

#endif // !defined (WS_UTIL_H)

